Bug 338641 - ipa-finduser (and most probably all of the admintools tools) do not work without freeipa-server installed
ipa-finduser (and most probably all of the admintools tools) do not work with...
Status: CLOSED CURRENTRELEASE
Product: freeIPA
Classification: Community
Component: build (Show other bugs)
unspecified
i386 Linux
high Severity high
: ---
: ---
Assigned To: Karl MacMillan
Suzanne Hillman
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2007-10-18 15:29 EDT by Suzanne Hillman
Modified: 2008-07-03 14:34 EDT (History)
0 users

See Also:
Fixed In Version: feature freeze
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 12:34:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2007-10-18 15:29:07 EDT
Description of problem:
ipa-finduser (and most probably all of the admintools tools) do not work without
freeipa-server installed, in milestone 4; there is a Traceback which ends with
"ImportError: No module named ipaserver"

It's fixed if you install freeipa-server, even if you do not install the
dependancies.

Version-Release number of selected component (if applicable):
freeipa-client-0.3.0-1.fc7
freeipa-python-0.4.0-1.fc7
freeipa-admintools-0.4.0-1.fc7
freeipa-server-0.4.0-2.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install freeipa-client and freeipa-admintools on a F-7 box
2. Try to run ipa-finduser admin (should always exist, so should work), after
making sure this works on the server
3. 
  
Actual results:
Traceback with "ImportError: No module named ipaserver"

Expected results:
No traceback. If no kerberos ticket, it should complain about that (I cannot
recall the exact text, although I should really put it in the QA area so people
know what they need to do to fix that), but otherwise it should work.

Additional info:
This may be fixed post Milestone 4?

Note You need to log in before you can comment on or make changes to this bug.